SuSE 11.2 / 11.3 Security Update : ruby (SAT Patch Numbers 8578 / 8579)

Medium Nessus Plugin ID 71226


The remote SuSE 11 host is missing one or more security updates.


The following security issue has been fixed :

- heap overflow in float point parsing. (CVE-2013-4164)


Apply SAT patch number 8578 / 8579 as appropriate.

See Also

Plugin Details

Severity: Medium

ID: 71226

File Name: suse_11_ruby-131125.nasl

Version: $Revision: 1.3 $

Type: local

Agent: unix

Published: 2013/12/05

Modified: 2015/01/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:11:ruby, p-cpe:/a:novell:suse_linux:11:ruby-doc-html, p-cpe:/a:novell:suse_linux:11:ruby-tk, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2013/11/25

Reference Information

CVE: CVE-2009-0689, CVE-2013-4164

CWE: 119